#
# Conditional build:
%bcond_with	webcam	# build with webcam barcode recognition
#
Summary:	A collection manager
Summary(pl.UTF-8):	Zarządca zbiorów wideo, audio i książek
Name:		tellico
Version:	2.3.8
Release:	2
License:	GPL v3
Group:		X11/Applications
Source0:	http://tellico-project.org/files/%{name}-%{version}.tar.bz2
# Source0-md5:	3f85002f6f369bdcf72ac7499d39297a
Patch1:		%{name}-desktop.patch
Patch2:		libkcddb.patch
URL:		http://tellico-project.org/
BuildRequires:	cmake
BuildRequires:	exempi-devel
BuildRequires:	kde4-kdepimlibs-devel
BuildRequires:	kde4-libksane-devel
BuildRequires:	kde4-libkcddb-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-devel >= 1.0.19
BuildRequires:	poppler-Qt-devel
BuildRequires:	qimageblitz-devel
BuildRequires:	qjson-devel
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	shared-desktop-ontologies-devel
BuildRequires:	soprano-devel
BuildRequires:	taglib-devel
BuildRequires:	yaz-devel
Requires:	desktop-file-utils
Requires:	libxslt >= 1.0.19
Obsoletes:	bookcase
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tellico is a personal catalog application for your book, video and
audio collection.

%description -l pl.UTF-8
Tellico to osobista aplikacja katalogowa przeznaczona do
księgozbiorów, archiwów wideo i audio.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

rm -rf $RPM_BUILD_ROOT/nogo

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_mime_database

%postun
%update_desktop_database_postun
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/kconf_update/%{name}-rename.upd
%{_datadir}/apps/kconf_update/tellico.upd
%{_datadir}/apps/kconf_update/tellico-1-3-update.pl
%{_datadir}/apps/%{name}
%{_datadir}/config/tellicorc
%{_datadir}/config/tellico-script.knsrc
%{_datadir}/config/tellico-template.knsrc
%{_datadir}/config.kcfg/tellico_config.kcfg
%{_datadir}/mime/packages/*.xml
%{_desktopdir}/kde4/%{name}.desktop
%{_iconsdir}/*/*/*/*.png
%changelog
* Sat Nov 09 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tellico.git;a=log;h=master

* Sat Nov 09 2013 Jan Rękorajski <baggins@pld-linux.org> dda969f
- remove debugging leftover
- rel 2

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> 3d5dde5
- updated to 2.3.8
- fixed build with split kdemultimedia

* Thu Jun 28 2012 Łukasz Kieś <kiesiu@pld-linux.org> 84fed6a
- updated BRs; rel. 1

* Mon Jan 16 2012 Zsolt Udvari <uzsolt@pld-linux.org> 3fcb4eb
- 2.3.5
- does not build - cmake error

* Mon Sep 26 2011 Zsolt Udvari <uzsolt@pld-linux.org> 5f5bb4e
- 2.3.4

* Mon Apr 11 2011 Zsolt Udvari <uzsolt@pld-linux.org> cbf0d27
- 2.3.3

* Sun Feb 06 2011 Zsolt Udvari <uzsolt@pld-linux.org> b5a2097
- rel 1 (works for me)
- change url and source0

* Tue Dec 14 2010 Zsolt Udvari <uzsolt@pld-linux.org> 1a0bc91
- 2.3.2
- qimageblitz-devel BR

* Fri Aug 13 2010 Zsolt Udvari <uzsolt@pld-linux.org> c25ebbd
- 2.3
- more BR

* Sun May 30 2010 Zsolt Udvari <uzsolt@pld-linux.org> 55037c1
- no longer needed

* Sun May 30 2010 Zsolt Udvari <uzsolt@pld-linux.org> 4a6613a
- 2.2
- cmake
- small fixes

* Tue Nov 03 2009 Elan Ruusamäe <glen@pld-linux.org> 2cf4764
- add gcc44.patch; rel 2 (thx patrys)

* Fri Mar 06 2009 duddits <duddits@pld-linux.org> 4974d4e
- up to 1.3.5

* Thu Jan 29 2009 Jakub Bogusz <qboosh@pld-linux.org> b2006ae
- automake still used (cp), libtool not

* Mon Jan 26 2009 Elan Ruusamäe <glen@pld-linux.org> 50c0475
- drop auto* regen (broken and not needed)

* Mon Jan 26 2009 Elan Ruusamäe <glen@pld-linux.org> 8e1decd
- 1.3.4

* Sun Jan 25 2009 Elan Ruusamäe <glen@pld-linux.org> 868435d
- drop kdebase-core versioned dep

* Sun May 25 2008 deejay1 <deejay1@pld-linux.org> 9c26476
- up to 1.3.2

* Sun Mar 23 2008 Elan Ruusamäe <glen@pld-linux.org> e0cec05
- never use --enable-final

* Tue Mar 11 2008 deejay1 <deejay1@pld-linux.org> d506641
- updated to 1.3.1
- rel. 1

